summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexey Shvetsov <alexxy@gentoo.org>2019-02-16 23:40:23 +0300
committerAlexey Shvetsov <alexxy@gentoo.org>2019-02-16 23:40:53 +0300
commit28cd28f5dd96a74d456e2ba070b37439167a1606 (patch)
tree1b6137a59822ef44c09c7d06c4373e9cd4b5f5ea
parentmedia-tv/kodi: Drop unused debug USE flag (diff)
downloadgentoo-28cd28f5dd96a74d456e2ba070b37439167a1606.tar.gz
gentoo-28cd28f5dd96a74d456e2ba070b37439167a1606.tar.bz2
gentoo-28cd28f5dd96a74d456e2ba070b37439167a1606.zip
dev-lang/jimtcl: Version bump
Package-Manager: Portage-2.3.60, Repoman-2.3.12 Signed-off-by: Alexey Shvetsov <alexxy@gentoo.org>
-rw-r--r--dev-lang/jimtcl/Manifest1
-rw-r--r--dev-lang/jimtcl/jimtcl-0.78.ebuild62
-rw-r--r--dev-lang/jimtcl/jimtcl-9999.ebuild15
3 files changed, 67 insertions, 11 deletions
diff --git a/dev-lang/jimtcl/Manifest b/dev-lang/jimtcl/Manifest
index c09ee68f127..37fb80cd1cd 100644
--- a/dev-lang/jimtcl/Manifest
+++ b/dev-lang/jimtcl/Manifest
@@ -1 +1,2 @@
DIST jimtcl-0.76.zip 2326715 BLAKE2B 50ea032cf46d2edeeecde1dc3b4deffcbd09b5dd3a6880963608b3f20616bf162fafc4ec2869bfe5de90231c4c9a29fb04710bd299cc5e8728ff20a86e46f32d SHA512 50763ea897fb5393083749cdd9e57a3f3d2d6dbebc40ee6371b1b86ebfc2f515e9775cd2acd6627f0f81b54bd72cd8c74be5aa9d0dbefc7c16372887e07f6ea4
+DIST jimtcl-0.78.tar.gz 3073533 BLAKE2B f0cdaf2807c7dd0e7c64e37cbc8dd019d8460e6a0320c239b0d01549aede8c86a89d84d7a3c5200c8d8cea428dbd1038d57dc66f5b580bdea8fe39710f967bbb SHA512 2a2cff12d7fdc4cf36734e41727eef08f6d74fb13d70bb0a3e01839e66859e57dd927ddedc161a6a7928881d640bd4e20a1bb313ed24aa2bb7bcb00eaf64fbf6
diff --git a/dev-lang/jimtcl/jimtcl-0.78.ebuild b/dev-lang/jimtcl/jimtcl-0.78.ebuild
new file mode 100644
index 00000000000..de965ef1a8b
--- /dev/null
+++ b/dev-lang/jimtcl/jimtcl-0.78.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+inherit eutils
+
+if [[ ${PV} == *9999 ]] ; then
+ EGIT_REPO_URI="http://repo.or.cz/r/jimtcl.git"
+ inherit git-r3
+else
+ SRC_URI="https://github.com/msteveb/jimtcl/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~m68k ~mips ~s390 ~sh ~x86"
+fi
+
+DESCRIPTION="Small footprint implementation of Tcl programming language"
+HOMEPAGE="http://jim.tcl.tk/"
+
+LICENSE="LGPL-2"
+SLOT="0"
+IUSE="doc static-libs"
+
+RDEPEND=""
+DEPEND="doc? ( app-text/asciidoc )
+ app-arch/unzip"
+
+src_unpack() {
+ if [[ ${PV} == "9999" ]] ; then
+ git-2_src_unpack
+ else
+ default
+ fi
+}
+
+src_configure() {
+ CCACHE=None econf --with-jim-shared
+ if use static-libs ; then
+ # The build does not support doing both simultaneously.
+ mkdir static-libs || die
+ cd static-libs || die
+ CCACHE=None ECONF_SOURCE=${S} econf
+ fi
+}
+
+src_compile() {
+ # Must build static-libs first.
+ use static-libs && emake -C static-libs libjim.a
+ emake all
+ use doc && emake docs
+}
+
+src_install() {
+ dobin jimsh
+ use static-libs && dolib.a static-libs/libjim.a
+ ln -sf libjim.so.* libjim.so || die
+ dolib.so libjim.so*
+ insinto /usr/include
+ doins jim.h jimautoconf.h jim-subcmd.h jim-signal.h \
+ jim-win32compat.h jim-eventloop.h jim-config.h
+ dodoc AUTHORS README TODO
+ use doc && dohtml Tcl.html
+}
diff --git a/dev-lang/jimtcl/jimtcl-9999.ebuild b/dev-lang/jimtcl/jimtcl-9999.ebuild
index 64b38756f80..cd5797414a6 100644
--- a/dev-lang/jimtcl/jimtcl-9999.ebuild
+++ b/dev-lang/jimtcl/jimtcl-9999.ebuild
@@ -1,7 +1,7 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI="5"
+EAPI="7"
inherit eutils
@@ -9,8 +9,7 @@ if [[ ${PV} == *9999 ]] ; then
EGIT_REPO_URI="http://repo.or.cz/r/jimtcl.git"
inherit git-r3
else
- inherit vcs-snapshot
- SRC_URI="https://github.com/msteveb/jimtcl/zipball/${PV} -> ${P}.zip"
+ SRC_URI="https://github.com/msteveb/jimtcl/archive/${PV}.tar.gz -> ${P}.tar.gz"
KEYWORDS="~amd64 ~arm ~arm64 ~m68k ~mips ~s390 ~sh ~x86"
fi
@@ -30,15 +29,9 @@ src_unpack() {
git-2_src_unpack
else
default
- cd "${WORKDIR}"/msteveb-jimtcl-* || die
- S=${PWD}
fi
}
-src_prepare() {
- epatch "${FILESDIR}"/${PN}-0.75-bootstrap.patch
-}
-
src_configure() {
CCACHE=None econf --with-jim-shared
if use static-libs ; then
@@ -65,5 +58,5 @@ src_install() {
doins jim.h jimautoconf.h jim-subcmd.h jim-signal.h \
jim-win32compat.h jim-eventloop.h jim-config.h
dodoc AUTHORS README TODO
- use doc && dohtml Tcl.html
+ dodoc Tcl.html
}